org.apache.ignite.internal.processors.cache

## Class LongOperationsDumpSettingsClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.LongOperationsDumpSettingsClosure

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public class LongOperationsDumpSettingsClosure
    extends Object
    implements IgniteRunnable

Closure that is sent to the node in order to change "Long operations dump timeout" parameter and also reschedule the task for dumping long operations.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LongOperationsDumpSettingsClosure(long longOpsDumpTimeout)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongOperationsDumpSettingsClosure

    public LongOperationsDumpSettingsClosure(long longOpsDumpTimeout)

Constructor.

Parameters:
  `longOpsDumpTimeout` - Long operations dump timeout.

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020